;	File:	asmcom.i	(common to all)
;	asm(1.0) macro package - Various defines/macros that
;	may be found useful.
;
;	This macro package has been written and placed in the
;	public domain by Douglas J Leavitt, 1986.  This macro
;	package is based on Commodore-Amiga header files printed
;	In The ROM Kernel Manuals, published and printed by
;	Commodore-Amiga, and Addison-Wesley publishing.
;
;	The goal of this macro file is to be upwardly compatible
;	with the include file of the same name.
;
;
;	Global Macro Variables start with ___
;	___argchk is a local temp variable used by various macros
;	To pass extra params to the ARGCHK macro
;

;	ARGCHK	min_args,max_args,nargs
;
;	Check a macro invocation for the proper number of arguments

	ifnd	ASM_COMMON
	ASM_COMMON = 1

ARGCHK	macro
	ifne	narg-2
		___badarg=2	; args to ARGCHK are bad
		mexit
	endc
	___badarg=0		; Just the right amount
	iflt	___argchk-\\1
		___badarg=-1	; Not enough args
	endc
	ifgt	___argchk-\\2
		___badarg=1	; Too many args
	endc
	endm

	endc			; ASM_COMMON
